function Create(self)
    print("Red C-4 detonated!");
    --Make sure the red C-4 list exists.
    if c4ListA ~= nil then
    	--Go through the list of red C-4.
	for i=1,#c4ListA do
	    --Make sure the C-4 still exists, it may have been destroyed.
	    if MovableMan:IsParticle(c4ListA[i]) then
	        --Detonate the C-4!
		c4ListA[i]:GibThis();
	    end
	end
    end
    --Empty/create the red C-4 list.
    c4ListA = { };
end